> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/addresses-and-names-portfolio/addressbase-plus/addressbase-plus-technical-specification/example-records/gml.md).

# GML

## Original feature – AddressBase Plus GML <a href="#bookmark33" id="bookmark33"></a>

{% hint style="info" %}
Not all attributes are provided where the field is null.
{% endhint %}

{% code overflow="wrap" %}

```xml
<abpl:addressMember>
<abpl:Address gml:id="uk.geoplace.uprn.100100077917">
<abpl:uprn>100100077917</abpl:uprn>
<abpl:udprn>4201646</abpl:udprn>
<abpl:changeType>I</abpl:changeType>
<abpl:class>R</abpl:class>
<abpl:position>
<gml:Point srsName="urn:ogc:def:crs:EPSG::27700" gml:id="uk.geoplace.uprn.p.100100077917">
<gml:pos>316348.00 177163.00</gml:pos>
</gml:Point>
</abpl:position>
<abpl:positionLatLong>
<gml:Point srsName="urn:ogc:def:crs:EPSG::4258" gml:id="uk.addressbase.uprn.pl.100040205844">
<gml:pos>50.7268511 -3.5366289</gml:pos>
</gml:Point>
</abpl:positionLatLong>
<abpl:rpc>1</abpl:rpc>
<abpl:localCustodianCode>6815</abpl:localCustodianCode>
<abpl:country>E</abpl:country>
<abpl:laStartDate>2001-05-10</abpl:laStartDate>
<abpl:lastUpdateDate>2007-08-29</abpl:lastUpdateDate>
<abpl:entryDate>2001-05-10</abpl:entryDate>
<abpl:buildingNumber>166</abpl:buildingNumber>
<abpl:paoStartNumber>166</abpl:paoStartNumber>
<abpl:usrn>5801201</abpl:usrn>
<abpl:usrnMatchIndicator>1</abpl:usrnMatchIndicator>
<abpl:osAddressTOID>osgb1000002283010753</abpl:osAddressTOID>
<abpl:osAddressTOIDVersion>12</abpl:osAddressTOIDVersion>
<abpl:osRoadLinkTOID>osgb44000000021638865</abpl:osRoadLinkTOID>
<abpl:osRoadLinkTOIDVersion>5</abpl:osRoadLinkTOIDVersion>
<abpl:osTopoTOID>osgb1000027126870</abpl:osTopoTOID>
<abpl:osTopoTOIDVersion>3</abpl:osTopoTOIDVersion>
<abpl:voaCTRecord>214788192</abpl:voaCTRecord>
<abpl:streetDescription xml:lang="en">LLANDAFF ROAD</abpl:streetDescription>
<abpl:altLanguageStreetDescription xml:lang="cym">LLANDAFF ROAD</abpl:altLanguageStreetDescription>
<abpl:thoroughfare xml:lang="en">LLANDAFF ROAD</abpl:thoroughfare>
<abpl:welshThoroughfare xml:lang="cym">LLANDAFF ROAD</abpl:welshThoroughfare>
<abpl:locality xml:lang="en">PONTCANNA</abpl:locality>
<abpl:townName xml:lang="en">CARDIFF</abpl:townName>
<abpl:administrativeArea xml:lang="en">CARDIFF</abpl:administrativeArea>
<abpl:postTown xml:lang="en">CARDIFF</abpl:postTown>
<abpl:postcode>CF11 9PX</abpl:postcode>
<abpl:postcodeLocator>CF11 9PX</abpl:postcodeLocator>
<abpl:postcodeType>L</abpl:postcodeType>
<abpl:deliveryPointSuffix>2F</abpl:deliveryPointSuffix>
<abpl:addressbasePostal>D</abpl:addressbasePostal>
<abpl:rmStartDate>2011-07-19</abpl:rmStartDate>
<abpl:multiOccCount>0</abpl:multiOccCount>
<abpl:altLanguage>BIL</abpl:altLanguage>
</abpl:Address>
</abpl:addressMember>
```

{% endcode %}

## COU feature – AddressBase Plus GML <a href="#bookmark34" id="bookmark34"></a>

Changed fields are annotated (underlined).

<pre class="language-xml" data-overflow="wrap"><code class="lang-xml">

100100077917
4201646
<a data-footnote-ref href="#user-content-fn-1">U</a>
R


316348.00 177163.00




50.7268511 -3.5366289


1
6815
E
2001-05-10
<a data-footnote-ref href="#user-content-fn-1">2015-03-31</a>
2001-05-10
166
166
5801201
1
<a data-footnote-ref href="#user-content-fn-1">osgb10000022830965</a>
1
osgb44000000021638865
5
osgb1000027126870
3
214788192
LLANDAFF ROAD
LLANDAFF ROAD
LLANDAFF ROAD
LLANDAFF ROAD
PONTCANNA
CARDIFF
CARDIFF
CARDIFF
CF11 9PX
CF11 9PX
L
2F
D
2011-07-19
0
BIL


</code></pre>

[^1]: Changed


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-downloads/products/addresses-and-names-portfolio/addressbase-plus/addressbase-plus-technical-specification/example-records/gml.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
